v1.0.0
OpenAPI 3.1.0

Update a folder

US region

Client Libraries

Update a folder

Update part of a folder: the name and/or the folder it belongs to. If you move a folder, all files stay nested in the folder.

Path Parameters
  • id
    Type: stringFormat: uuid
    required

    The UUID of the folder.

Body
required
application/json
  • name
    Type: string
    min length:  
    1
    max length:  
    170

    Name of the folder. Cannot contain any of these characters: < > : " / \ | ? * .

  • parent_folder_id
    Type: string | nullFormat: uuid

    The UUID of the parent folder.

    Omit if you want no change to where the folder or file is located. Include null to move it to your root directory. Or add the UUID of another folder to move it there.

Responses
  • 204

    Successful response, no content returned

  • application/json
  • application/json
  • application/json
Request Example for put/v1/design_studio/folders/{id}
curl https://api.customer.io/v1/design_studio/folders/123e4567-e89b-12d3-a456-426614174000 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "",
  "parent_folder_id": null
}'
No Body